Subject: bug#12895: 24.3.50; Replacement for flet

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Nov 2012 10:24:45 -0500

> I did like flet, though, and in general, I think it's annoying to
> users to remove/deprecate functionality that are neat ways to get
> inside lisp code from outside (dynamic-scoping overrides, advices,
> etc.) just because they are bad practice and make debugging harder.

The problem with flet is not only that it's doing dangerous things but
also that it's used in code that does not need those dangerous things.
And do not that it was not removed.  It was just marked obsolete.

The main purpose of this obsolescence warning is to change the coding
style so that overrides are used explicitly where they're needed and
non-overriding local definitions are used where the override is not
needed, so the code is more clear.

Advising is definitely not on the way out.  I even just added a new
lighter weight advice package.

        Stefan